The development version changelog is an ongoing work and should be reasonably
complete covering changes made up to:

2015-05-25

If you update the changelog with changes made beyond this point, please update
the above revision date.

* Only add items which you think are interesting to others, ignore those which
  you think might not be

* Please do create, update, remove and improve any entries and section titles
  as needed

* In general The ordering of sections is intented to keep items which are
  interesting to players at the top, followed by modders, server admins, etc.
  - The ordering of the entries themselves is arbitrary, loosely chronological

* The "Additional fixed bugs" section is intended to cover all items (however
  small) which have a ticket number that have been closed and
  - Are bugs which existed in the previous release which have now been fixed
  or
  - Are small enough to not warrant a note in any of the other sections

* For purely numerical changes to variables it can be convenient to use the
  instructions given at http://redeclipse.net/wiki/Vars_Changes to get a
  before-after view

* This and all the above changelog hints should be removed prior to release


= Red Eclipse Development version =
Weapons:
 * Increased rifleexplode1, rifleflakexplode1 & rifleflakexplode2 from 4 to 8
 * Increased plasmadamage1 & plasmaflakdamage1 from 16 to 18
 * Increased plasmaexplode1 & plasmaflakexplode1 from 6 to 8
 * Increased plasmapartsize1 from 6 to 8
 * Increased plasmafadetime1 from 0 to 40
 * Increased plasmaaiskew1 & plasmaaiskew2 from 4 to 5
 * Increased flamerdamage1 & flamerflakdamage1 from 4 to 6
 * Increased flamerfadetime1 from 0 to 40
 * Increased zapperaidist1 & zapperaidist2 from 256 to 512
 * Increased zapperexplode1 & zapperflakexplode1 from 0 to 5, zapperexplode2 & zapperflakexplode2 from 0 to 6
 * Increased zapperstuntime1 & zapperstuntime2 from 100 to 250
 * Increased zapperspeed1 from 3000 to 15000 & zapperspeed2 from 3000 to 100000
 * Increased zapperspread2 from 2 to 3
 * Increased zapperammoadd & zapperammomax from 30 to 50
 * Increased zapperammosub2 from 5 to 6
 * Decreased zapperdamage1 & zapperflakdamage1 from 10 to 6
 * Increased zapperdamage2 & zapperflakdamage2 from 10 to 12
 * Decreased zapperdelayattack1 from 135 to 80
 * Increased zapperdelayattack2 from 700 to 1200
 * Increased zapperaiskew1 & zapperaiskew2 from 2 to 3
 * Removed shock residual from zapper primary attack
 * Increased riflestuntime1 from 75 to 100 & riflestuntime2 from 200 to 250
 * Increased zoomtime from 250 to 350 & Decreased riflecooktime2 from 500 to 350
 * Increased rifledelayattack2 from 850 to 1000
 * Decreased smgdelayattack2 from 600 to 400
 * Increased smgdamage1 & smgflakdamage1 from 12 to 16
 * Increased smgdamage2 from 12 to 16, Decreased smgflakdamage2 from 6 to 4
 * Increased smgaiskew1 & smgaiskew2 from 4 to 5

User Interface:
 * Increased crosshairsize from 0.4 to 0.6
 * Decreased crosshairblend & zoomcrosshairblend from 1 to 0.75
 * Increased indicatorsize from 0.25 to 0.3
 * Decreased indicatorblend from 0.75 to 0.5
 * Decreased clipblend from 0.75 to 0.5
 * Decreased radarblend from 1 to 0.85
 * Increased radardist & radarcornerdist from 512 to 750
 * Increased radarsize from 0.045 to 0.5
 * Increased radaroffset from 0.065 to 0.8
 * Decreased radardamageblend from 1 to 0.85
 * Changed radarplayernames from 0 to 2

Core & Install:
 * Improved particle performance
 * Improved AI performance

= Red Eclipse 1.5.1 =
Core & Install:
 * Package fixes for Windows, Linux and OS X

= Red Eclipse 1.5 =
Gameplay:
 * Ragdolls now twitch when they're under the influence of shock residual
 * Show player distance when fragged
 * Show throwing distance in Bomber-Ball when scored
 * Bomber-Ball throwing originates from head for more consistent throwing
 * Added /playerhint variable to make players have a team colored glow
   over them to make it more clear to which team they belong
 * Improved AI for CTF and DAC games, making bots more evasive when endangered
 * Support for giving AI orders ("defend", "attack", "base", "goal", "ball", "forget")
 * Better physics and bounce sounds for affinities
 * Enable interactions with affinities
 * Footstep sounds
 * Fixed spawn queue in Time-Trial
 * Auto team balancing

Weapons:
 * Sword damage and secondary attack speed increased,
   now uses negative kickpush to propel the player forward slightly
 * Decrease pistol firing rate to disable benefits of auto-fire scripts
 * Rifle has faster reload time, slightly increased wavepush,
   slightly higher delay between shots
 * Flamer has higher ammo capacity, secondary fire changed to airblast,
   used to damage enemies and put out teammates that are on fire
 * Grenades have smaller explode radius, back to v1.3 behaviour
 * Ability to cancel a cook event (e.g. grenades) by pressing reload
 * Set all weapon selfdamage to 100%
 * Increased weapon spread when in air / impulsing

Modes & Mutators:
 * Rebranded Defend-The-Flag to Defend-And-Control
 * Disable debris in Kaboom
 * Always pick one spawn for alpha team in Gauntlet
 * Resize more in Resize
 * Steal more life in Vampire
 * Increased buffing timeout tolerances when defending affinities
 * Changed jetpack mutator into freestyle mutator
 * Changed expert mutator into tourney mutator

Maps:
 * Time-trial
   - Absorption - new time-trial map by Unnamed
   - Amplification - new time-trial map by Unnamed
   - Relax - new time-trial map by Bonifarz
   - Steel Rat - added to time-trial rotation
   - Testchamber - retextured by Quinton Reeves
   - War Depot - new time-trial map by TristamK
 * Other game modes
   - Abuse - new map by ballist1c
   - Campgrounds - new map by ballist1c and Greaserpirate
   - Canyon - new map by restcoser
   - Condensation - new map by Unnamed
   - Decay by Ricky Thomson
   - Echo2k - remix of Echo by Ulukai
   - Enyo - new map by Ulukai
   - Octavus - new map by Ricky Thomson
 * Out of rotation
   - Pumpstation
   - Star Libido
   - Echo
 * Maps for review (WIP): 
   - Affluence by Greaserpirate

Interface & Menus:
 * Added /spectvfollow for aiming camera to certain player whilst
   maintaining normal spectv camera selections
 * Added variables for showing distance and health left when killed
   (/showobitdists /showobithpleft)
 * Added /nogore variable to disable gore effects
 * Added third person key to controls menu
 * Added higher resolutions to display menu
 * Better inventory score
 * Added borders on screen while waiting / spectating,
   these can be controlled from options menu
 * Fancy keyboard / mouse button rendering
 * Ability to cancel a swapteam request
 * Slicker menus, tips and rollover help text
 * Scoreboard redesign and better colouring
 * New loading screen
 * Map preview size bumped to 512x512
 * Bomber-Ball in inventory and its itembar flash red
 * Added "Sharpen" shader to postfx menu
 * New variable menu with search capabilities

Modding & Mapmaking:
 * Updated edit menu
 * When selecting an entity, its properties are now numbered
 * Added /moveselwaypoints to move selected waypoints around
 * Specscale of pk02 textures corrected
 * Glow colours inherit texture palette if not defined in shader parameters
 * Cubescript commands for retrieving entity information
 * 0 + mousewheel = entproperty 9
 * Ability to read the color of the pixel under crosshair by pressing "\"

Data Assets:
 * New vanity items
   - Blade
   - Boots
   - Chestplate
   - Crown
   - Disc
   - Fox Ears
   - Guitar
   - Mask
   - Microeye
   - Panda
   - Prongs
   - Shoulder armor
 * New wakawaka sound
 * New model for control points used in defend-and-control and Bomber-Ball
 * New Rocket projectile by Unnamed
 * Added texture set by Unnamed
 * Added lava texture by Nobiax, applied in maps Hinder, Nova, Tower
 * New mapmodels by Nobiax
   - Plastic barrel, cardboard, pipes, trash can
   - Ivy, weeds, grasses, bushes, tree, snowpine, cactus, rocks
   - Fuel can, gaz tank
   - Concrete barriers

Multiplayer & Servers:
 * Show time since last server ping reply
 * Added chat filter
 * Wait for players to be ready before starting the game
 * Players can now request a username for use in the profile menu
   to prevent other players impersonating you,
   see http://forum.freegamedev.net/viewtopic.php?f=72&t=4340
 * Pause server sorting while hovering over items in the server list
 * Added a "server type" field to the maps menu when offline to change
   servertype to simplify setting up local games
 * Players will have to accept guidelines before playing online

Core & Install:
 * Fixed desktop entry icon field
 * Improve IRC connection stability
 * ENet updated to v1.3.12
 * Removed Mekarcade from the project

Additional noteworthy fixed bugs:
 * #449 - Ability to make current settings default (/savevars)
 * #505 - Picking up an item instantly completes reload cycle
 * #506 - Garbled output when selecting weapon loadout
 * #509 - Users with account info are denied access to password-protected servers
 * #510 - server dependency on data
 * #520 - Start menu icon has the wrong .exe selected
 * #524 - redeclipse.net shortlink for files on trac
 * #540 - On maps with too little goals for bomber-ball
          switching to hold fails when touchdown is selected
 * #545 - Time-trial "dnf" ranks ahead of any completed time in final standings
 * #549 - Allow remaining time to be shown on HUD
 * #556 - Time-trial time not displayed in top-right of screen
 * #558 - Scoring anomalies
 * #563 - Duel displays a comma too much in match info
 * #564 - Correct initialising of affinities at game start
 * #569 - Incorrect grenade collision
 * #574 - Scoring events can take place after the match is over
 * #575 - GUIs can be used to cheat
 * #576 - After dying in resize mode, camera move speed is affected by player size
 * #577 - Disconnecting while alive in a survivor game leads to excessive scores
 * #581 - vpalette correction for multi team palettes in 2-team games
 * #589 - Nickname is overlayed by time in ffa-timetrial
 * #590 - Sort players in player list by scoreboard standings
 * #591 - Time overlays time in time-trial
 * #597 - Recently played or out-of-rotation maps cannot be voted
 * #599 - Multiple teamkill adjustments by the same player in the same match
          are overcompensated
 * #601 - Plasma particle spawns too close to screen
 * #610 - Spectate in time-trial without losing checkpoints
 * #613 - Bug when selecting "demo" mode during or after another game
 * #615 - Remove "with 1 health left" in instagib duel
 * #617 - When a shot hits multiple players, only one pop-up number appears
 * #618 - Standing on a teleport exit causes death
 * #620 - Local mod privileges with normal registered user keys
 * #628 - Various entity properties lost when added to clipboard in editmode
 * #636 - Survivor first match bots only
 * #640 - Mines can be thrown inside walls to frag everyone on the map
 * #648 - onslaught enemies are handled inconsistently under weapon-forcing mutators


= Red Eclipse 1.4 =
Gameplay:
 * Radar now always tracks players who are dominating you, and shows everyone
   else if you are last alive in duel/survivor
 * New thirdperson style with camera position to the side (adjust with
   /thirdpersondist and /thirdpersonside)
 * New default firstperson style with visible legs
 * Disabled half-impulses when the impulse meter is close to empty (back to 1.1
   behaviour)
 * Added reward for ending killing sprees
 * Removed critical hits
 * Impulse slide duration increased, maintained speed decreased
 * Impulse regeneration now delayed longer, but once started is faster
 * Explosion shaking effect reduced

Weapons:
 * Weapons no longer reset gravity acceleration (reduces in-air pinning)
 * Projectiles now pass through teleporters and interact with pushers
 * Mines, new weapon, primary proximity mine, secondary tripwire mine,
   pickup-based (like grenade)
 * Melee now only activates if player is airborne or dashing/sliding, and only
   in a short window of time
 * Pistol secondary changed to fire single particles, firing rate,
   secondary damage, secondary stun, secondary hitpush, secondary
   particle lifetime and secondary accuracy increased; particle speed and
   secondary firing rate decreased
 * Sword range halved, attack speed decreased
 * Shotgun firing rate decreased
 * SMG secondary now sticks to geometry and explodes radially after a short
   delay, ricochet speed, clip size, particle lifetime, and secondary damage
   increased; reload speed, stun and primary damage decreased
 * Plasma primary damage, projectile speed, stun, particle size and reload
   speed increased; firing rate and clip size decreased
 * Flamer projectile size, projectile speed and secondary explosion radius
   increased; damage, primary explosion radius and secondary firing rate
   decreased
 * Rifle damage, recoil, clip size, and accuracy increased; explosion size,
   hitpush, particle size, reload speed and secondary firing rate decreased
 * Grenade firing rate increased
 * Rocket direct damage increased; flak damage and firing rate decreased

Modes & Mutators:
 * Reduced number of bots in coop to 3/2 of humans
 * Enabled multi-coop (one human team and multiple bot teams)
 * Removed expert from default set of allowed mutators
 * Made duel/survivor enter overtime if a round is in progress when
   intermission is scheduled to start
 * Changed default mutator to arena (classic pickup play available as
   'classic' mutator)
 * Removed ballistic mutator
 * Added kaboom mutator (only grenades and mines with reloading ammo, rockets
   spawn as normal)
 * Added gauntlet mode (one team tries to run to the other side of a map, other
   team tries to hinder, switches at half-time)
 * Time-trial now spawns with weapons for movement tricks, collisions and
   weapons have no effect on opponents
 * Passing the bomber-ball now prioritizes players close to crosshair
 * Bomber-ball 'hold' now resets bomb fuse when bomb-carrier kills enemies
 * Bomber-ball and capture-the-flag 'survivor' and 'duel' now has respawn, no
   regenerating health, and resets after score/capture
 * Capture-the-flag 'return' is now default, old behaviour where flag returns
   instantly is now available as 'quick'

Maps:
 * Assigned map music to all maps
 * Canals, updated and added to rotations
 * Fourplex, updated to version 1.6 and renamed to "4plex"
 * Star Libido, updated to version 1.5
 * Cutec, new map (added from mapversion 1.6)
 * Erosion, new map (added from mapversion 1.5)
 * Battlefield, new map (added from mapversion 1.1, remake of "Wargrounds" from
   Blood Frontier)
 * Suspended Apparatus of Doom "suspended", new map (added from mapversion 1.4)
 * Conflict, updated
 * Blink, removed
 * Facility, removed
 * Cyanide, new time-trial map
 * Dead Simple, updated (retextured)
 * Frag Vault "vault", new map
 * Steel Rat, new time-trial map (added from mapversion 1.3b)
 * Dawn, removed
 * Industrial, removed
 * Lab, removed
 * Wet, updated
 * Ghost, updated (retextured, new lighting)
 * Isolation, removed
 * Live Fire, new map (added from map update 3)
 * Forge, updated (retextured)
 * Bloodlust, new map
 * Tranquility, removed

Interface & Menus:
 * Overall reduced font sizes
 * Added variables for scaling text globally and for specific elements
   (/{text,con,chatcon,command}scale)
 * Added frames around most UI elements
 * Revamped score screen
 * Added ALT+ENTER/CMD+ENTER fullscreen toggle, and ALT+F4/CMD+Q for closing
   the window
 * Added "reset selection" button for mutators
 * Added variables to control death/kill message content
   (/obit{verbose,styles})
 * Removed alternative mouse styles
 * IRC improvements, fixed disconnecting properly
 * Demos and screenshots are now stored in "demos" and "screenshots"
   subdirectories in the homedir, using "<date><time>[.<number>]" for filename
 * Added inline tab completion for commands and inline help descriptions
 * Added ammo bars in weapon inventory
 * Carried flags & similar are now 50% transparent in third person view
 * Revamped clip display with variable clip sizes
 * Added new "circle bar" showing health, impulse and ammo simultaneously at
   crosshair location
 * Added sliders to set player(over|under)tone in extra tab of profile menu
 * Bots now have names
 * Updated options menu, added more user interface options
 * Simple item icons available via /simpleitems 1

Modding & Mapmaking:
 * Added support for up to 4 types of water, lava, and glass
 * Added possible missile behaviour guided style for weapons
 * Added cloudoffsetx, cloudoffsety, envoffsetx, and envoffsety vars
 * Added new variables for proximity & stealth mine-type weapons
 * Changed weapon variables: pusharea -> wavepush1/wavepush2, removed weapon
   jamming
 * Added variable number of loadout weapons in arena via 'maxcarry'
 * Added new variables for projectile collision: "bounce shot" and "drill
   geom/player/shot" which allows penetration through normal collisions
 * Added mapmodels 'roll' property
 * Zooming of weapons is now limited by zoomlimit{min,max}, zoomfov removed
 * Added 'weaponinterrupts' server variable which allows control over which
   weapon states may be interrupted by the player
 * Renamed frag/flak weapon vars for clarity: 'frag' events create 'flak'
 * Added new residual style 'shock' which stuns, now possible to combine
   multiple residual effects
 * Added 'mapbalance' for asymmetrical maps to swap teams at specified
   intervals
 * Added extra obituary message vars for the new lava/water+death variations
   (obit<type>[234]), and for falling out of the level (obitfall)

Data Assets:
 * Renamed 'blarg' directory to 'misc' for random textures
 * Added a few light textures in 'misc' (used in starlibido)
 * Added 19 new skyboxes ('elyvisions' and 'mayhem' directories)
 * Removed texture kurt/rock01
 * Added 121 new textures from philipk's 'pk01' and 'pk02' sets
 * grunt renamed to drone
 * Improved shotgun animation
 * Improved thirdperson player model and weapon animation
 * Added vanity items for players
 * Added new vapour sound
 * Added support for models rotating off of their model links and spin rolling
 * Improved SMG animation
 * Added headless model for headshots

Multiplayer & Servers:
 * Added ability to enable automatic demo recording each match (/demoautorec 1)
 * Incomplete demos discarded by default (/demokeep 1 to enable)
 * Implemented short-term map history to prevent players voting on the same
   maps
 * Added vetolock variable to determine who may force match votes
 * Added additional privilege levels (supporter, operator, developer) and icons
   for all levels
 * Added "maxplayers" server-world variable (defaults to 2x"numplayers")
 * Enabled "maxalive" by default (now corresponds to "maxplayers", limits
   amount of players based on map settings)
 * Merged servexec.cfg into servinit.cfg, servexec.cfg is now unused
 * Changed servinit to only set the "default values" on start, it is never
   re-executed

Core & Install:
 * Added IRC guidelines
 * Client now uses log.txt in the homedir by default
 * Moved binary files to bin/{amd64,x86}/ subdirectories
 * Enet 1.3.7
 * Workaround for Intel/Apple occlusion bug
 * Network encoding functions moved into tools
 * Weapon variable definitions structured into rows per variable
 * Reorganised data/ with more subdirectories
 * Enabled simpler cross-compile via PLATFORM=CROSSMINGW

Additional fixed bugs:
 * #218 - "Dropping" a weapon in arena makes it unusable until next round
 * #223 - File-writing commands should not be allowed in map scripts
 * #224 - Possible to cut in map "hawk"
 * #219 - Bots do not show proper weapons
 * #320 - Falling or using a jumppad will not change a player's current
   animation
 * #303 - Red Eclipse shortly shows 1 death too many while waiting to respawn
 * #254 - getvartype always returns 0
 * #281 - /resetgl gives blurshader error if octadir is used
 * #344 - "cancel" in loadout selection just makes the loadout selection menu
          reappear


= Red Eclipse 1.3.1 =
Maps:
 * Canals, removed from rotations

Modding & Data Assets:
 * arid skybox added

Multiplayer & Servers:
 * Fix IRC relaying

Core & Install:
 * Fix "msvcr100.dll missing" bug on Windows


= Red Eclipse 1.3 =
Gameplay:
 * New "impulse vaulting" movement (press Q next to an obstacle to use it to propel yourself upward)
 * Points no longer given for consecutively dropping and picking up affinities (flags/ball)
 * AI now uses "random walk" when no waypoints are present
 * Players in time trial are now non-solid by default (/{sv_}trialstyle)

Weapons:
 * Rocket launcher now spawns in instagib
 * Melee no longer requires an impulse action before (back to 1.1 behaviour)
 * Flamer primary and secondary range and size reduced, secondary fire lifetime of particles increased
 * Pistol recoil slightly increased, secondary now fires twice as many particles with more spread, but with less damage and longer intervals
 * SMG secondary now fires balls which after a short distance explodes into a large amount of radial flak
 * Shotgun recoil increased
 * Plasma primary damage and radius reduced, primary and secondary recoil increased
 * Rifle recoil increased

Maps:
 * Institute, new map
 * Biolytic, new map
 * Ares, updated to version 1.9
 * Conflict, new map
 * Fourplex, new map
 * Starlibido, new map
 * Industrial, new map
 * Oneiroi, new map
 * Pumpstation, new map
 * Dawn, removed from rotations
 * Neodrive, new time-trial map
 * Hawk, new time-trial map
 * Ubik, clip/water/door fixes
 * Alphacampaign, removed
 * Canals, new map
 * Wet, tweaked obstacles
 * Keystone, revamped as "Keystone2k"
 * Isolation, added bomber-ball waypoints

Interface & Menus:
 * Brush selection now mapped to K+wheel (unbound in 1.2, J+wheel in 1.1)
 * Added ability to save and automatically use arena loadouts
 * Show player count on server browser
 * Show unresponsive servers (bottom of server list)
 * Several new international keycodes are now bind-able as WORLD_{0..95}
 * Added ability to mark map favourites (pinned to top of map list)
 * Now possible to skip dead players while spectating (on by default in duel & survivor; /followdead, /spectvdead)
 * Added on-screen help for commands/vars/etc. (work in progress)
 * Blank names are no longer possible
 * Added Texture preview on hover in browser
 * Bot info hidden on scoreboard per default
 * Joins/leaves no longer shown when connecting/disconnecting
 * Added player model preview in profile selection
 * /kidmode (reduced blood & gore) is now persistent

Modes & Mutators:
 * Hover mutator removed
 * Added "gamespeedlock" to independently allow servers to unlock "gamespeed" (still checks varslock though)
 * Added {mode,muts}idxname variables for mode and mutator values
 * Added server variable "<weap>reloads" now defines the number of times a weapon can reload (-1 = infinite, 0 = never, 1+ = count)
 * Bomber-ball basket (possible to score by throwing ball into goal) set as the default, moved from mutator to server-side variable (bomberbasket)
 * Removed campaign and teambalance 3,
 * Added new mutator "coop" (humans vs bots)
 * Added new mutator "king of the hill" for defend the flag
 * Multi and team mutators are now mutually exclusive

Modding & Data Assets:
 * Removed kitchen and kitchen1 textures from trak4 (unused)
 * track_11, track_12, new music
 * Skyboxes: arid2, interstellar, miramar, stormydays - added; dusk - removed
 * Now possible to link playerstart/affinity/checkpoint to mapsound/particles/lightfx
 * Added texture based slippery physics (textcoastscale and vcoastscale, sets as a scale of floorcoast/slidecoast, only works on top facing textures)
 * Added sigma/kappa concrete textures and mapmodels
 * Added style parameter for /editmat (empty/non-empty/entirely-solid/non-entirely-solid)

Multiplayer & Servers:
 * Added server hosting and player guidelines for the master server
 * mapname.wpt and mapname.txt is now included when sending a map
 * Allow players to cast votes for ones made by an admin which conflict with a lock control
 * Added ability to lock demos/spec/kick/ban to specific access levels (master/auth/admin), likewise for {mode,maps,vars,vote}lock
 * Expanded admin control (can now add allows, mute, and limit team changing)
 * Renamed privileges: master->helper, auth->moderator
 * Added ability to specify a ban/kick/etc. reason
 * Added ability to get client hostname (/echo (gethostname <cn>) or /showhostname to show on scoreboard)
 * Intermission now waits full time before proceeding to the next map
 * Added auto-mute on chat spam (warns on 3 lines per 10 seconds, mutes after 3 warns)
 * Voting mid-game now requires unanimous vote
 * Added selectable voting styles (/voteinterm, /votestyle)
 * Client-based servers no longer put into private mode

Core & Install:
 * Corrected icon size for x32 and x48 versions
 * SDL 1.2.15
 * Remove "-r" command-line option
 * Enet 1.3.5
 * 64bit builds for Windows
 * Use APP/app* variables for name abstraction (simplifies forking/install renaming)
 * *nix icons stored as PNG/XPM, no ImageMagick needed in system-install process
 * all-licenses.txt added, exhaustive copyright/license breakdown
 * Basic math commands in CubeScript now accepts multiple arguments

Additional Fixed Bugs:
 * #103 - [minor] Revenge-seeking remains after team-change
 * #112 - Fix server browser sorting full servers to the bottom
 * #115 - When joining mid-match, bomber-ball affinities aren't enabled
 * #128 - Buff state not properly synchronised
 * #129 - Spawn rotation problems
 * #136 - Arena-expert and submodes are bugged (rocket & grenade select issues)
 * #132 - venus geom errors
 * #135 - ghost geom errors
 * #117 - Team-duel problems (force cycle team member after 3 wins)
 * #113 - Botbalance issues (breaks if teambalance = 2 or team imbalance is > 1)
 * #154 - Fix darkness omega bb-goal to be at same position as alpha
 * #158 - Possibility to miss first checkpoint on testchamber
 * #164 - synchronise death count in resume/frag messages
 * #165 - ghost clipping (disable odd sniper spot)
 * #148 - replaced tabs on texture gui with scrolling pages
 * #141 - can select a team while in spectator to join the game on a specific team
 * #126 - Looping focus-oriented sounds persist after target change (new camerapos code takes care of attenuation already)
 * #130 - Auth Identification Announcements (printed such that it is visible to the authing user)
 * #120 - -g option does not work with absolute paths
 * #177 - (roughly) predict time remaining in server list
 * #102 - Some flat geometry walls acts as crouch-entrance
 * #189 - overcome MAXSTRLEN limitation in N_COMMAND/N_EDITVAR by dynamically allocating and transmitting arguments
 * #197 - synchronise sticky grenade offset position across the network
 * #207 - corrected bug with projectile "in wall" checks
 * #209 - ghost texture tweaks
 * #211 - Going in water doesn't reset the "able to double jump" state
 * #210 - Map Bath has some texture errors


= Red Eclipse 1.2 =
Gameplay:
 * Powerjump removed, replaced with "impulse launch", use by jumping whilst "impulse sliding"
 * Impulse moves now disregard cost and scale depending on available energy
 * Special melee actions now require an impulse move beforehand
 * Plasma primary damage increased
 * Plasma secondary fire travels faster if charged for a short time
 * Flamer primary & burn damage reduced
 * SMG rate of fire decreased
 * Sticky grenade can now stick to player
 * Zoomlock disabled for rifle
 * Added weapon stun effect which impedes movement for a certain time
 * Made the carrier of the flag/bomb move slower
 * New "buff" system for flag/goal defenders: increases regeneration, damage, and shielding

Audio & Visuals:
 * New weapon model for pistol
 * Ingame music
 * New sounds for pistol, SMG, grenade, sword, player death, hit/bleed, etc.
 * HUD revamp
 * View bobbing
 * New font "Play", extended character support
 * Female variation of player model (set in profile)
 * Added visible counter and warning for imminent explosion in Bomber ball
 * New 'radarstyle' option displaying absolute positions

Maps:
 * Ares, new map
 * Cargo, new map
 * Colony, new map
 * Isolation, new map
 * Purge, new time trial map
 * Dutility, revamped
 * Tower, re-added and revamped
 * Error, added AI waypoints

Modes & Mutators:
 * League mutator removed
 * Instagib-vampire combination disabled
 * Multi-team mutator re-added
 * Jetpack mutator re-added
 * 'instagibfilter' variable: disallow certain mutators combining with instagib

Modding:
 * New map editing menu, available via [F3]
 * Editing mode has been made more obvious to the user
 * cube2font tool for generating game fonts, including documentation
 * Ability to add a second cloudlayer with the envlayer command
 * Ability to specify bitwise modes and mutators on entities that check them

Misc:
 * AI waypoints separated out from ents, overall major AI improvements
 * Split apart kick and ban commands so users can be removed without a ban
 * Copyright cleanup, new trademark policy
 * *roff manpages for *nix systems
 * system-install make target for packaging convenience

Additional Fixed Bugs:
 * #8 - AI performance issues
 * #30 - Use RE_DIR=$(dirname $0) in launch script
 * #31 - Changing weapon name breaks the entry in Variables GUI
 * #32 - Floating/Infinite Flight Bug
 * #33 - random weapon selection in arena not working
 * #35 - /firstpersondist (exploit)
 * #37 - Player color (skew towards team color)
 * #38 - Tweaking hit sounds for shotgun/flak bleed
 * #39 - teampersist crashes server
 * #40 - dedicated server demo recording is broken
 * #42 - Plasma Blue-Ball-of-Death sticking to Ragdoll
 * #43 - Create lower poly weapon models for item and vwep version
 * #44 - Entity Radius Broken in Edit Mode
 * #47 - Create "botoffset" variable to replace INSERT/DELETE behaviour
 * #50 - Use "aiclip" on common areas where bots can't travel
 * #53 - can't drop flag in ctf-protect
 * #60 - Live Support does not work correctly
 * #65 - Clicking the Red Eclipse icon on map selection without selecting a map produces an error message
 * #66 - Winning a conquer defend-the-flag match yields an insanely high score
 * #69 - Edit mode segfault
 * #70 - Temporarily missing sound for Flamer primary fire after reload
 * #74 - better Link line colors
 * #81 - Killing the opponent team in Survivor CTF/BB does not yield you a point
